This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 588476 - Review Request: rubygem-spork - A forking Drb spec server
Review Request: rubygem-spork - A forking Drb spec server
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: buildr
  Show dependency treegraph
 
Reported: 2010-05-03 15:08 EDT by Adam Young
Modified: 2010-12-01 13:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-18 09:46:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Young 2010-05-03 15:08:19 EDT
Spec URL: http://github.com/admiyo/MySpecs/blob/master/rubygem-spork.spec
SRPM URL: http://admiyo.fedorapeople.org/buildr-repo/rubygem-spork-0.8.2-1.young.src.rpm
Description: A forking Drb spec server.  Specs are ruby unittest/specifications.  DRB is distributed ruby
Comment 1 Michael Stahnke 2010-08-29 21:41:58 EDT
This package fails to build in mock on rawhide-i386 and I also couldn't get it to build on a normal F13 box. 


From the build attempt

/usr/bin/ruby mkrf_conf.rb
Actually, there aren't any native extensions. I'm just dynamically installing dependencies based off of your operating system

From mock
+ gem install --local --install-dir ./usr/lib/ruby/gems/1.8 --force --rdoc /builddir/build/SOURCES/spork-0.8.2.gem
ERROR:  Error installing /builddir/build/SOURCES/spork-0.8.2.gem:
        ERROR: Failed to build gem native extension.
/usr/bin/ruby mkrf_conf.rb
Actually, there aren't any native extensions. I'm just dynamically installing dependencies based off of your operating system
Gem files will remain installed in /builddir/build/BUILD/rubygem-spork-0.8.2/usr/lib/ruby/gems/1.8/gems/spork-0.8.2 for inspection.
Results logged to /builddir/build/BUILD/rubygem-spork-0.8.2/usr/lib/ruby/gems/1.8/gems/spork-0.8.2/ext/gem_make.out
Building native extensions.  This could take a while...
Comment 2 Jesus M. Rodriguez 2010-11-18 09:46:08 EST
This initially started as a dependency for rubygem-buildr. It is no longer
needed for that. We can cancel this review.

Note You need to log in before you can comment on or make changes to this bug.